OpenTTD: Data Fields - Variables

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - f -

- face : CompanyProperties , SelectCompanyManagerFaceWindow , FreeTypeFontCache , CompanyNewsInformation , ErrorMessageData
- facilities : BaseStation
- fallback : BaseSet< T, Tnum_files, Tsearch_in_tars >
- fallback_price : PriceBaseSpec
- fallback_railtype : RailtypeInfo
- fc : ICU_FONTINSTANCE
- fct_checker : ViewportSSCSS
- fct_sorter : ViewportSSCSS
- feature : BasePersistentStorageArray
- feeder_payment_share : EconomySettings
- feeder_share : VehicleCargoList , CargoPacket
- ff_state : SaveLoadParams
- fh : FileStringReader , FileWriter
- fields : IndustryCargoesWindow
- file : Lexer , LanguageMetadata , FileReader , FileWriter , StringReader
- file_index : GrfProcessingState
- file_names : BaseSet< T, Tnum_files, Tsearch_in_tars >
- file_type : TextfileWindow
- filename : ContentInfo , GRFConfig , FileWriter , MD5File , Fio , ScenarioIdentifier
- filename_editbox : SaveLoadWindow
- filename_log : CrashLogOSX
- filename_save : CrashLogOSX
- filename_screenshot : CrashLogOSX
- filenames : Fio
- files : BaseSet< T, Tnum_files, Tsearch_in_tars >
- filesize : ContentInfo
- filesize_sum : NetworkContentListWindow
- filetype : SmallFiosItem
- fill_percent_te_id : Vehicle
- fill_x : NWidgetBase
- fill_y : NWidgetBase
- filter : BuildVehicleWindow , GameSettingsWindow , StationViewWindow::RowDisplay
- filter_buffer : StringFilter
- filter_editbox : NetworkContentListWindow , NetworkGameWindow , NewGRFWindow , GameSettingsWindow , SignListWindow
- filter_func_list : GUIList< T, F >
- filter_funcs : NetworkContentListWindow , NewGRFWindow
- filter_type : GUIList< T, F >
- first : CommandQueue , OrderList , Vehicle
- first_bit : GRFParameterInfo
- first_child : ParentSpriteToDraw
- first_dirty : Palette
- first_engine : GroundVehicleCache
- first_free : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- first_init : PaymentRatesGraphWindow
- first_shared : OrderList
- first_sprite : CompanyManagerFaceBitsInfo
- first_tile : ClearedObjectArea
- first_unused : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- fix_at : CursorVars
- fizzy_drink : ExtraPaletteValues
- flag : AirportMovingData
- flag_offset : NetworkGameWindow
- flags : BridgeSpec , NWidgetPIPContainer , Aircraft , AirportFTAClass , Command , DisasterVehicle , Engine , OptionData , QueryStringWindow , CanalProperties , WaterFeature , Window , GRFConfig , ObjectSpec , StationSpec , Order , RailtypeInfo , ChunkHandler , Airport , BaseSettingEntry , SettingDescBase , GUIList< T, F > , Town , WindowDesc , ScriptConfigItem , NewsItem , TileLayoutRegisters
- flow : Path , LinkGraphJob::EdgeAnnotation
- flows : GoodsEntry , LinkGraphJob::NodeAnnotation
- fluct : Economy
- folded : SettingsPage
- follow_vehicle : ViewportData
- font : FreeTypeSubSetting , FallbackParagraphLayout::FallbackVisualRun
- font_tables : FreeTypeFontCache
- fonts : Layouter
- fontsize : FontState
- forbid_90_deg : PathfinderSettings
- FORCE_REFRESH_PERIOD : SmallMapWindow
- found_files : BaseSet< T, Tnum_files, Tsearch_in_tars >
- found_town : EconomySettings
- foundation : ViewportDrawer
- foundation_offset : ViewportDrawer
- foundation_part : ViewportDrawer
- founder : Industry
- fp : File
- frame : CommandPacket
- frame_counter : AI , Game
- frame_freq : NetworkSettings
- frames : AnimationInfo
- fread_buf : LZMALoadFilter , ZlibLoadFilter
- free_capacity : Path
- free_data : NewsItem
- free_names : StationNameInformation
- freeform_edges : ConstructionSettings
- freight_trains : VehicleSettings
- from : LinkRefresher::Hop
- front : IConsoleLine , CargoPayment
- fs : FontCache
- fsm : AirportSpec
- func : OTTDThreadStartupMessage
- func_ptr : NWidgetPart
- fund_buildings : EconomySettings
- fund_buildings_months : Town
- fund_roads : EconomySettings